org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class ReservationSubmissionRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.ReservationSubmissionRequestPBImpl

-     public class ReservationSubmissionRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationSubmissionRequestPBImpl()`
    `ReservationSubmissionRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationSubmissionRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationSubmissionRequestProto` | `getProto()`
    `String` | `getQueue()`
    `org.apache.hadoop.yarn.api.records.ReservationDefinition` | `getReservationDefinition()`
    `org.apache.hadoop.yarn.api.records.ReservationId` | `getReservationId()`
    `int` | `hashCode()`
    `void` | `setQueue(String planName)`
    `void` | `setReservationDefinition(org.apache.hadoop.yarn.api.records.ReservationDefinition reservationDefinition)`
    `void` | `setReservationId(org.apache.hadoop.yarn.api.records.ReservationId reservationId)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationSubmissionRequestPBImpl

          public ReservationSubmissionRequestPBImpl()

    - #### ReservationSubmissionRequestPBImpl

          public ReservationSubmissionRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationSubmissionRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationSubmissionRequestProto getProto()

    - #### getReservationDefinition

          public org.apache.hadoop.yarn.api.records.ReservationDefinition getReservationDefinition()

      Specified by:
        `getReservationDefinition` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest`

    - #### setReservationDefinition

          public void setReservationDefinition(org.apache.hadoop.yarn.api.records.ReservationDefinition reservationDefinition)

      Specified by:
        `setReservationDefinition` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest`

    - #### getQueue

          public String getQueue()

      Specified by:
        `getQueue` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest`

    - #### setQueue

          public void setQueue(String planName)

      Specified by:
        `setQueue` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest`

    - #### getReservationId

          public org.apache.hadoop.yarn.api.records.ReservationId getReservationId()

      Specified by:
        `getReservationId` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest`

    - #### setReservationId

          public void setReservationId(org.apache.hadoop.yarn.api.records.ReservationId reservationId)

      Specified by:
        `setReservationId` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.